This issue tracker has been migrated to GitHub, and is currently read-only.
For more information, see the GitHub FAQs in the Python's Developer Guide.

classification
Title: [doc] Clarify the meaning of /uninstall in windows cli
Type: Stage: resolved
Components: Documentation, Installation, Windows Versions: Python 3.11, Python 3.10, Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, iritkatriel, mattcher_h, miss-islington, paul.moore, slateny, steve.dower, tim.golden, zach.ware
Priority: normal Keywords: easy, patch

Created on 2019-04-08 12:20 by mattcher_h, last changed 2022-04-11 14:59 by admin. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 31457 merged slateny, 2022-02-21 01:06
PR 31504 merged miss-islington, 2022-02-22 17:36
PR 31505 merged miss-islington, 2022-02-22 17:36
Messages (11)
msg339629 - (view) Author: (mattcher_h) Date: 2019-04-08 12:20
Hi,

I´m trying to generate an automated install and uninstall from Python.

For this I normally use cmdlines, but I got some issues.

If I try to uninstall by my automated version I got the problem that it doesn´t finish.
When I do this at the PC himself it works fine with PathToPython.exe /uninstall but i have to "click" close at the end of the setup by myself.
So I think my problem with the automated version is that it doesn´t "click" close, because the uninstall itself seems to work fine.

Are there some more parameters I could give?

Another Issue is the PythonLauncher. Is there an cmdline by himself to uninstall?

ciao
msg339645 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-04-08 14:45
Pass /passive to have it automatically close at the end, or /quiet to avoid popping up a window at all.

Can you clarify what you mean by launcher? There are a couple different things you could be talking about and I don't want to give you the wrong answer.
msg339706 - (view) Author: (mattcher_h) Date: 2019-04-09 06:31
Hi Steve,

Thank you for your response.

Does the /quiet and /passiv works together with the /uninstall?

When I read the Documentation it seems that the /uninstall included the /quiet.
Could you tell me what exactly is the meaning of the /passiv?

So am I right that the cmdline: "PathToPython.exe /uninstall /quiet" should work?

I´m talking about "Python Launcher for Windows"
https://www.python.org/dev/peps/pep-0397/
It appears in the System Control after installing Python3.7.3

ciao
msg339718 - (view) Author: (mattcher_h) Date: 2019-04-09 09:24
ok the "PathToPython.exe /uninstall /quiet" seems to work.
Thanks for this hint.

I found the Python Launcher in the registry path for x86, this was not what I expected after install Python3.7.3 x64.

In the registry they show an uninstall command what works when I use it direct on the PC.
MsiExec.exe /X{A28C27E4-A725-482A-9C65-61EDC0E4D583}

But it won´t work as an automated install command over network. Probably not the fault of Python Launcher.
Maybe there is an other opportunity to uninstall PythonLauncher?

ciao
msg339743 - (view) Author: (mattcher_h) Date: 2019-04-09 13:11
Ok I´m done.

Thank you very much for your quick advice.

The documentaion is kind of misleading.
"The /uninstall option may be passed to immediately begin removing Python - no prompt will be displayed."
Because of the last part I thought the /quiet is included and not necessary for the uninstall.
After I found the registry entry from "Python Launcher" I get the uninstall cmd.

Maybe you could still tell me something more about the /passiv?


That is what works for me.

Uninstall Python3.7.3:
PathToPython.exe /uninstall /quiet

Uninstall Pythonlauncher:
MsiExec.exe /X{A28C27E4-A725-482A-9C65-61EDC0E4D583} /qn

ciao
msg348918 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-08-02 20:47
Sorry for the slow reply.

> immediately begin removing Python - no prompt will be displayed

This is meant to imply that no *confirmation* prompt will be displayed before uninstall starts. Documentation patches are welcome :)

> tell me something about passive

The /passive option means the user can see progress and (if appropriate), cancel the operation, but otherwise does not have to interact with it at all. This is good for semi-interactive scripts, where the user starts it and wants to see what's happening, but could also walk away and let it run to completion. With /quiet, there'd be no progress or errors (generally /passive will stop and wait if an error occurs), and without either the success page would also stop and wait.

These are fairly typical command line options for installers on Windows, and the Python installer users them in the standard way. Mostly because we haven't done anything to customize them from the installer toolkit we use :)
msg410435 - (view) Author: Irit Katriel (iritkatriel) * (Python committer) Date: 2022-01-12 22:41
This is referring to Doc/using/windows.rst
msg413722 - (view) Author: Irit Katriel (iritkatriel) * (Python committer) Date: 2022-02-22 17:36
New changeset 9a0d941df4c3e1efb8b3017cd2c2de17e582fd5c by slateny in branch 'main':
bpo-36557: Updated wording for using/windows (GH-31457)
https://github.com/python/cpython/commit/9a0d941df4c3e1efb8b3017cd2c2de17e582fd5c
msg413723 - (view) Author: miss-islington (miss-islington) Date: 2022-02-22 17:57
New changeset d04fb9213a547def5604fbc60b0554c176d4c998 by Miss Islington (bot) in branch '3.10':
[3.10] bpo-36557: Updated wording for using/windows (GH-31457) (GH-31504)
https://github.com/python/cpython/commit/d04fb9213a547def5604fbc60b0554c176d4c998
msg413725 - (view) Author: miss-islington (miss-islington) Date: 2022-02-22 18:03
New changeset aa9a5c4d72e083f8b4c635d79f7450dbe8319469 by Miss Islington (bot) in branch '3.9':
bpo-36557: Updated wording for using/windows (GH-31457)
https://github.com/python/cpython/commit/aa9a5c4d72e083f8b4c635d79f7450dbe8319469
msg413726 - (view) Author: Irit Katriel (iritkatriel) * (Python committer) Date: 2022-02-22 18:05
Thank you @slateny.
History
Date User Action Args
2022-04-11 14:59:13adminsetgithub: 80738
2022-02-22 18:05:38iritkatrielsetstatus: open -> closed
resolution: fixed
messages: + msg413726

stage: patch review -> resolved
2022-02-22 18:03:46miss-islingtonsetmessages: + msg413725
2022-02-22 17:57:10miss-islingtonsetmessages: + msg413723
2022-02-22 17:36:31miss-islingtonsetpull_requests: + pull_request29632
2022-02-22 17:36:26miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request29631
2022-02-22 17:36:18iritkatrielsetmessages: + msg413722
2022-02-21 01:06:37slatenysetkeywords: + patch
nosy: + slateny

pull_requests: + pull_request29586
stage: patch review
2022-01-12 22:41:11iritkatrielsetassignee: docs@python

components: + Documentation
title: Python (Launcher)3.7.3 CMDLine install/uninstall -> [doc] Clarify the meaning of /uninstall in windows cli
keywords: + easy
nosy: + iritkatriel, docs@python
versions: + Python 3.9, Python 3.10, Python 3.11, - Python 3.7
messages: + msg410435
2019-08-02 20:47:27steve.dowersetmessages: + msg348918
2019-04-09 13:11:21mattcher_hsetmessages: + msg339743
2019-04-09 09:24:08mattcher_hsetmessages: + msg339718
2019-04-09 06:31:03mattcher_hsetmessages: + msg339706
2019-04-08 14:45:18steve.dowersetmessages: + msg339645
2019-04-08 12:44:57SilentGhostsetnosy: + paul.moore, tim.golden, zach.ware, steve.dower
components: + Windows
2019-04-08 12:20:23mattcher_hcreate